public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/keepassx/
Date: Sat,  8 Oct 2016 19:49:32 +0000 (UTC)	[thread overview]
Message-ID: <1475956165.e087b94e10ab73faa7f13b6d891caab68ed4d01d.polynomial-c@gentoo> (raw)

commit:     e087b94e10ab73faa7f13b6d891caab68ed4d01d
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  8 19:48:26 2016 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Oct  8 19:49:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e087b94e

app-admin/keepassx: Bump to version 2.0.3

Package-Manager: portage-2.3.1
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-admin/keepassx/Manifest              |  1 +
 app-admin/keepassx/keepassx-2.0.3.ebuild | 55 ++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/app-admin/keepassx/Manifest b/app-admin/keepassx/Manifest
index 364742b..a2ec392 100644
--- a/app-admin/keepassx/Manifest
+++ b/app-admin/keepassx/Manifest
@@ -1,2 +1,3 @@
 DIST keepassx-0.4.4.tar.gz 1371560 SHA256 3e27068ca85e68705347f0921c6b3c9248d7c5a84c79c0483daf22d141c0adc4 SHA512 2fc93d77f5576a0cce6514b39ee9b319efaa72b475762438eed5601c5e3edb7693a5fbb9c1e741be1e5d3a08849bc54b0cff90fe3a86cf240129febc0cc703d8 WHIRLPOOL 41c987607c8b233292eac5c5d654974caa1ae2a0d277468081ad4a6e9fcd248314239162ba23dc414f0854a5f6ba09e1c1f9d3aa078756438650a0e9151e81d2
 DIST keepassx-2.0.2.tar.gz 1532353 SHA256 204bdcf49c72078cd6f02b4f29b062923cca9e7b2d3551f2bf352763daa236b8 SHA512 3f661d3b5807c5acafc65310ecd8bd4d0bcd51a0c919e219bba616cb3f54434f8f81ba533ab5ccec00d454838355ff048f4ffbc308442fad4f973d1766b95072 WHIRLPOOL 0d793bb3ce4ba015ea9cabc1625c61bdf0cc7fabfe5be67fe09ea180a5fb3654ef850531bff7e09bdc47107d69bf06f5e94fa308dbb0b8d5f9468b3c02349810
+DIST keepassx-2.0.3.tar.gz 1540235 SHA256 23ffb4ae360c58aa139943442d175bc6b8f08e6a876ae76c4543ab983a6647c5 SHA512 bf1a4ffa49fc4a6b7a27e6292981c9c13920712b4cd86759a99976f7e0593a243ea14575c57d664ba7e55d2449b5d83bc3d43a64a9a6972335e52234da79d773 WHIRLPOOL 7cd81732932461c8a823c32ec8ce7f203cd95cf32aee20b7dbb6c2a7f93e9fc9199191aa335cfe5004e9317e761207d2721f3557ac1b6da8d6c11578a731d234

diff --git a/app-admin/keepassx/keepassx-2.0.3.ebuild b/app-admin/keepassx/keepassx-2.0.3.ebuild
new file mode 100644
index 00000000..84aeb7d
--- /dev/null
+++ b/app-admin/keepassx/keepassx-2.0.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils gnome2-utils vcs-snapshot xdg
+
+DESCRIPTION="Qt password manager compatible with its Win32 and Pocket PC versions"
+HOMEPAGE="http://www.keepassx.org/"
+SRC_URI="https://www.keepassx.org/releases/${PV}/${P}.tar.gz"
+
+LICENSE="|| ( GPL-2 GPL-3 ) BSD GPL-2 LGPL-2.1 LGPL-3+ CC0-1.0 public-domain || ( LGPL-2.1 GPL-3 )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+DEPEND="
+	dev-libs/libgcrypt:0=
+	dev-qt/qtcore:4
+	dev-qt/qtgui:4
+	dev-qt/qttest:4
+	sys-libs/zlib
+	x11-libs/libX11
+	x11-libs/libXtst
+"
+RDEPEND="${DEPEND}"
+
+DOCS=(CHANGELOG)
+
+src_prepare() {
+	xdg_src_prepare
+	cmake-utils_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DWITH_TESTS="$(usex test)"
+	)
+	cmake-utils_src_configure
+}
+
+pkg_preinst() {
+	gnome2_icon_savelist
+	xdg_pkg_preinst
+}
+pkg_postinst() {
+	gnome2_icon_cache_update
+	xdg_pkg_postinst
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+	xdg_pkg_postrm
+}


             reply	other threads:[~2016-10-08 19:49 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-10-08 19:49 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-10-08 19:49 [gentoo-commits] repo/gentoo:master commit in: app-admin/keepassx/ Lars Wendler
2016-09-11 11:28 Gilles Dartiguelongue
2016-08-06 14:33 Lars Wendler
2016-08-06 11:37 Pacho Ramos
2016-05-13  9:25 Agostino Sarubbo
2016-05-02 13:26 Lars Wendler
2016-03-16 11:51 Agostino Sarubbo
2016-03-15 16:39 Agostino Sarubbo
2016-03-02 13:58 Agostino Sarubbo
2016-02-29 15:41 Patrice Clement
2016-02-02 17:57 Lars Wendler
2016-02-01 10:14 Lars Wendler
2016-02-01 10:14 Lars Wendler
2015-12-11 14:07 Lars Wendler
2015-12-08  7:38 Lars Wendler
2015-12-08  7:38 Lars Wendler
2015-09-08 15:39 Lars Wendler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1475956165.e087b94e10ab73faa7f13b6d891caab68ed4d01d.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox